Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Beta5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.services.task.impl
Class TaskDeadlinesServiceImpl

    java.lang.Object
      org.jbpm.services.task.impl.TaskDeadlinesServiceImpl

All Implemented Interfaces:
  org.kie.internal.task.api.TaskDeadlinesService

    @ApplicationScoped
    public class TaskDeadlinesServiceImpl

extends Object
implements org.kie.internal.task.api.TaskDeadlinesService

Nested Class Summary
`class` | `TaskDeadlinesServiceImpl.ScheduledTaskDeadline`

Nested classes/interfaces inherited from interface org.kie.internal.task.api.TaskDeadlinesService
`org.kie.internal.task.api.TaskDeadlinesService.DeadlineType`

Constructor Summary
`TaskDeadlinesServiceImpl()`

Method Summary
`void` | `init()`
`void` | `schedule(long taskId, long deadlineId, long delay, org.kie.internal.task.api.TaskDeadlinesService.DeadlineType type)`
`void` | `setLogger(Logger logger)`
`void` | `setNotificationEvents(javax.enterprise.event.Event<org.kie.internal.task.api.model.NotificationEvent> notificationEvents)`
`void` | `setPm(JbpmServicesPersistenceManager pm)`
`void` | `setTaskContentService(org.kie.internal.task.api.TaskContentService taskContentService)`
`void` | `unschedule(long taskId, org.kie.internal.task.api.TaskDeadlinesService.DeadlineType type)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TaskDeadlinesServiceImpl

    public TaskDeadlinesServiceImpl()

Method Detail

### setPm

    public void setPm(JbpmServicesPersistenceManager pm)

### setNotificationEvents

    public void setNotificationEvents(javax.enterprise.event.Event<org.kie.internal.task.api.model.NotificationEvent> notificationEvents)

### setLogger

    public void setLogger(Logger logger)

### setTaskContentService

    public void setTaskContentService(org.kie.internal.task.api.TaskContentService taskContentService)

### init

    @PostConstruct
    public void init()

### schedule

    public void schedule(long taskId,
                         long deadlineId,
                         long delay,
                         org.kie.internal.task.api.TaskDeadlinesService.DeadlineType type)

  Specified by:
    `schedule` in interface `org.kie.internal.task.api.TaskDeadlinesService`

### unschedule

    public void unschedule(long taskId,
                           org.kie.internal.task.api.TaskDeadlinesService.DeadlineType type)

  Specified by:
    `unschedule` in interface `org.kie.internal.task.api.TaskDeadlinesService`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Beta5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.